import { _glob } from '../../util/glob.js';
import { timerify } from '../../util/Performance.js';
import { hasDependency, load } from '../../util/plugin.js';
export const NAME = 'Drizzle';
export const ENABLERS = ['drizzle-kit'];
export const isEnabled = ({ dependencies }) => hasDependency(dependencies, ENABLERS);
export const CONFIG_FILE_PATTERNS = ['drizzle.config.{ts,js,json}'];
const findDrizzleDependencies = async (configFilePath, { cwd }) => {
    const config = await load(configFilePath);
    if (!config || !config.schema)
        return [];
    const patterns = Array.isArray(config.schema) ? config.schema : [config.schema];
    const paths = await _glob({ cwd, patterns });
    return paths;
};
export const findDependencies = timerify(findDrizzleDependencies);
